Subject: [alpine-aports] [PATCH] testing/boost-build: new aport

From: Valery Kartel <[email-masked]>
Date: Thu, 1 Dec 2016 23:36:20 +0200

http://boost.org/build
Boost.Build makes it easy to build C++ projects, everywhere
---
 testing/boost-build/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 testing/boost-build/APKBUILD

diff --git a/testing/boost-build/APKBUILD b/testing/boost-build/APKBUILD
new file mode 100644
index 0000000000..9a8c9edd6e
--- /dev/null
+++ b/testing/boost-build/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=boost-build
+pkgver=1.62.0
+pkgrel=0
+pkgdesc="Boost.Build makes it easy to build C++ projects, everywhere"
+url="http://boost.org/${pkgname#*-}"
+arch="all"
+license="custom:boost"
+depends="boost-dev"
+makedepends=""
+subpackages="$pkgname-doc"
+source="https://github.com/boostorg/${pkgname#*-}/archive/${pkgname%%-*}-$pkgver.tar.gz
+	LICENSE::http://boost.org/LICENSE_1_0.txt"
+builddir="$srcdir"/${pkgname#*-}-${pkgname%%-*}-$pkgver
+
+build() {
+	cd "$builddir"
+	./bootstrap.sh || return 1
+}
+
+package() {
+	cd "$builddir"
+	./b2 install --prefix="$pkgdir"/usr || return 1
+	install -Dm644 "$srcdir"/LICENSE "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+	mv "$pkgdir"/usr/share/$pkgname/example "$pkgdir"/usr/share/doc/$pkgname
+	rm "$pkgdir"/usr/bin/bjam
+}
+
+md5sums="12cc948c2bfc29d306b07f059b143f70  boost-1.62.0.tar.gz
+e4224ccaecb14d942c71d31bef20d78c  LICENSE"
+sha256sums="ed5fd20eadb6bb8c26a9e1c50cd3e7a701ce05935a606075ac3c10223c168f68  boost-1.62.0.tar.gz
+c9bff75738922193e67fa726fa225535870d2aa1059f91452c411736284ad566  LICENSE"
+sha512sums="4940b058c60223408fca8f022244fe7eb333ff0a8d38e7e9668ccccedae9dc231e7f1a9547cce2975b1176a77289a6ea479e459d64c6650615d8db87a18af17c  boost-1.62.0.tar.gz
+d6078467835dba8932314c1c1e945569a64b065474d7aced27c9a7acc391d52e9f234138ed9f1aa9cd576f25f12f557e0b733c14891d42c16ecdc4a7bd4d60b8  LICENSE"
-- 
2.11.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---